<h1 class="text-center">{{title}}</h1>

<h3 class="text-center">{{subtitle}}</h3>

<form novalidate="" [formGroup]="form" (ngSubmit)="access()" data-abide>
  <div class="login-box" *ngIf="!this.form.get('type').value || this.form.get('type').value === 'candidate'" >
    <div class="row">
      <div class="medium-12 columns" >
          <input type="text" placeholder="Email" formControlName="user" [ngClass]="{'has-error' : form.get('user').invalid && (form.get('user').dirty || submit)}" >
          <span style="color: darkred" *ngIf="form.get('user').invalid && (form.get('user').dirty || submit)" >Debe colocar un email valido</span>
      </div>
    </div>
    <div class="row">
      <div class="medium-12 columns">
          <input type="password" placeholder="Clave" formControlName="password" [ngClass]="{'has-error' : form.get('password').invalid && (form.get('password').dirty || submit)}">
          <span style="color: darkred" *ngIf="form.get('password').invalid && (form.get('password').dirty || submit)" >Debe colocar una clave valida</span>
      </div>
    </div>
    <div class="row">
        <div class="radio-group">
          <md-radio-group formControlName="type">
              <md-radio-button name="type" value="company" >Compañía</md-radio-button>
              <md-radio-button name="type" value="candidate" color="warn" >Candidato</md-radio-button>
              <span  style="color: darkred;display: block;" *ngIf="form.get('type').invalid && (form.get('type').dirty || submit)" >Debe seleccionar un tipo de usuario</span>
          </md-radio-group>
        </div>
    </div>
    <button class="button small expanded">Ingresar</button>
  </div>
  <div class="login-box" *ngIf="this.form.get('type').value === 'company'" >
    <div class="row">
      <div class="medium-12 columns" >
          <input type="text" placeholder="Email" formControlName="user" [ngClass]="{'has-error' : form.get('user').invalid && (form.get('user').dirty || submit)}" >
          <span style="color: darkred" *ngIf="form.get('user').invalid && (form.get('user').dirty || submit)" >Debe colocar un email valido</span>
      </div>
    </div>
    <div class="row">
      <div class="medium-12 columns">
          <input type="password" placeholder="Clave" formControlName="password" [ngClass]="{'has-error' : form.get('password').invalid && (form.get('password').dirty || submit)}">
          <span style="color: darkred" *ngIf="form.get('password').invalid && (form.get('password').dirty || submit)" >Debe colocar una clave valida</span>
      </div>
    </div>
    <div class="row">
        <div class="radio-group">
          <md-radio-group formControlName="type">
              <md-radio-button name="type" value="company" >Compañía</md-radio-button>
              <md-radio-button name="type" value="candidate" color="warn" >Candidato</md-radio-button>
              <span  style="color: darkred;display: block;" *ngIf="form.get('type').invalid && (form.get('type').dirty || submit)" >Debe seleccionar un tipo de usuario</span>
          </md-radio-group>
        </div>
    </div>
    <button class="button small expanded">Ingresar</button>
  </div>
</form>

